> For the complete documentation index, see [llms.txt](https://docs.flip.to/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flip.to/docs/integrations/booking-engines/vendors/revraise-by-azds.md).

# RevRaise by AZDS

Adding Flip.to to your RevRaise booking engine is done in just two steps.

{% hint style="warning" %}
**Before you begin:** you'll need your **Flip.to companyCode**, which you should have received by email. If not, ask our [Customer Success team](/docs/support/customer-success.md).
{% endhint %}

***

## Step 1: Booking engine snippet

This is the first of two snippets to add to your RevRaise booking engine.

* Copy and paste the snippet below into **\<head> tag** of the booking engine
* Replace **`XX`** with your **Flip.to** **companyCode** (be sure to keep the single quotes)

```javascript
<!-- Flip.to - Booking Engine Integration -->
<script>
!function(w,d,s,l,i,f,n){
(w[l]=w[l]||[]).push({flipto:i});
f=d.getElementsByTagName(s)[0];
n=d.createElement(s);n.async=!0;n.src=
'https://components.flip.to/discovery/engine/'+i.companyCode+'-'+i.code;
f.parentNode.insertBefore(n,f);
}(window,document,'script','fliptoDataLayer',{
	bookingEngine: 'AZDS',
	companyCode: 'XX',
	code: '{{EEC - DLV - Synxis Code}}'
});
</script>
<script async src='https://integration.flip.to/K2X4KDP'></script>
<!-- Flip.to - End Booking Engine Integration -->

<!-- Flip.to - Discovery Plan Info -->
<script>
  !function(w,d,s) {
    function OnDiscoveryPlanInfo(planInfo){
      try {
        planInfo && d.dispatchEvent(new CustomEvent('azdsSetDefaultGuestInfo', {detail: {
          email: planInfo.email,
          firstName: planInfo.first,
        }}));
      }
      catch(e){
        console.warn("Failed to pass discovery info to AZDS", e);
      }
    }
    (w[s]=w[s]||[]).push({type:'get',payload:{plan:OnDiscoveryPlanInfo}});

    d.addEventListener("azdsBookingReady", function() {
      (w[s]=w[s]||[]).push({type:"action",payload:"closeDiscovery"})
    });
  }(window,document,"ftSignals");
</script>
<!-- Flip.to - End Discovery Plan Info -->

```

***

## Step 2: Confirmation page snippet

This snippet should be added only to your RevRaise confirmation page.

{% hint style="warning" %}
Please ensure that the first, last, and email tokens are installed in the container to prevent errors.
{% endhint %}

* Copy and paste the snippet below into **\<head> tag** of the confirmation page
* Replace **`XX`** with your Flip.to **companyCode** (be sure to keep the single quotes)

```javascript
<!-- Flip.to - Confirmation Page -->
<script>
  !function(n,e,w){
    w.eventData={category:'Booking_Engine',action:'Load',value:w.amount};
    (n[e]=n[e]||[]).push({flipto:w,event:'flipto.confirmation.load'});
  }(window,'fliptoDataLayer',
  {
    bookingEngine: 'AZDS',
    companyCode: 'XX',
    code: '{{EEC - DLV - Synxis Code}}',
    confirmation: '{{EEC - DLV - Booking ID}}',    
    first: '{{EEC - DLV - First Name}}',
    last: '{{EEC - DLV - Last Name}}',
    email: '{{EEC - DLV - Email}}',
    startDate: '{{EEC - DLV - Arrival Date YY}}-{{EEC - DLV - Arrival Date MM}}-{{EEC - DLV - Arrival Date DD}}',
    endDate: '{{EEC - DLV - Departure Date YY}}-{{EEC - DLV - Departure Date MM}}-{{EEC - DLV - Departure Date DD}}',
    guests: {{EEC - DLV - Guests}},
    adults: {{EEC - DLV - Adults}},
    children: {{EEC - DLV - Children}},
    type: '{{EEC - DLV - Room Code}}',
    rateCode: '{{EEC - DLV - Rate Code}}',
    language: 'en',
    currency: '{{EEC - DLV - Currency}}' || 'USD',
    amount: {{EEC - DLV - Booking Sub Total}},
    dateFormat: 'yyyy-M-d'
  });
</script>
<!-- Flip.to - End Confirmation Page -->
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flip.to/docs/integrations/booking-engines/vendors/revraise-by-azds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
